%define upstream_name    WebService-Validator-HTML-W3C
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Warning messages from the W3Cs online Validator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
WebService::Validator::HTML::W3C provides access to the W3C's online Markup
validator. As well as reporting on whether a page is valid it also provides
access to a detailed list of the errors and where in the validated document
they occur.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 516021
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 374854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 201083
- update to 0.28
- update to 0.27

* Thu Jan 20 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 27244
- mageia rebuild
- imported package perl-WebService-Validator-HTML-W3C

